openSUSE Security Update : xen (openSUSE-2020-2313)

high Nessus Plugin ID 145360

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for xen fixes the following issues :

- CVE-2020-29480: Fixed an issue which could have allowed leak of non-sensitive data to administrator guests (bsc#117949 XSA-115).

- CVE-2020-29481: Fixed an issue which could have allowd to new domains to inherit existing node permissions (bsc#1179498 XSA-322).

- CVE-2020-29483: Fixed an issue where guests could disturb domain cleanup (bsc#1179502 XSA-325).

- CVE-2020-29484: Fixed an issue where guests could crash xenstored via watchs (bsc#1179501 XSA-324).

- CVE-2020-29566: Fixed an undue recursion in x86 HVM context switch code (bsc#1179506 XSA-348).

- CVE-2020-29570: Fixed an issue where FIFO event channels control block related ordering (bsc#1179514 XSA-358).

- CVE-2020-29571: Fixed an issue where FIFO event channels control structure ordering (bsc#1179516 XSA-359).

- Fixed an issue where dump-core shows missing nr_pages during core (bsc#1176782).

- Multiple other bugs (bsc#1027519)

This update was imported from the SUSE:SLE-15-SP1:Update update project.

Solution

Update the affected xen packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1027519

https://bugzilla.opensuse.org/show_bug.cgi?id=1176782

https://bugzilla.opensuse.org/show_bug.cgi?id=1179496

https://bugzilla.opensuse.org/show_bug.cgi?id=1179498

https://bugzilla.opensuse.org/show_bug.cgi?id=1179501

https://bugzilla.opensuse.org/show_bug.cgi?id=1179502

https://bugzilla.opensuse.org/show_bug.cgi?id=1179506

https://bugzilla.opensuse.org/show_bug.cgi?id=1179514

https://bugzilla.opensuse.org/show_bug.cgi?id=1179516

Plugin Details

Severity: High

ID: 145360

File Name: openSUSE-2020-2313.nasl

Version: 1.2

Type: local

Agent: unix

Published: 1/25/2021

Updated: 7/12/2021

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2020-29481

VPR

Risk Factor: Medium

Score: 6.5

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.4

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:xen, p-cpe:/a:novell:opensuse:xen-debugsource, p-cpe:/a:novell:opensuse:xen-devel, p-cpe:/a:novell:opensuse:xen-doc-html, p-cpe:/a:novell:opensuse:xen-libs, p-cpe:/a:novell:opensuse:xen-libs-32bit, p-cpe:/a:novell:opensuse:xen-libs-32bit-debuginfo, p-cpe:/a:novell:opensuse:xen-libs-debuginfo, p-cpe:/a:novell:opensuse:xen-tools, p-cpe:/a:novell:opensuse:xen-tools-debuginfo, p-cpe:/a:novell:opensuse:xen-tools-domU, p-cpe:/a:novell:opensuse:xen-tools-domU-debuginfo, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 12/22/2020

Vulnerability Publication Date: 12/15/2020

Reference Information

CVE: CVE-2020-29480, CVE-2020-29481, CVE-2020-29483, CVE-2020-29484, CVE-2020-29566, CVE-2020-29570, CVE-2020-29571